/******************************************************************************
 * PlayerGroup.java - Associate Players with groups
 * $Id: PlayerGroup.java,v 1.2 2011/01/01 02:30:36 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright© 2010 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: PlayerGroup.java,v $
 * Revision 1.2  2011/01/01 02:30:36  dick
 * Two flags, dirty and tagForDelete.
 *
 * Revision 1.1  2011/01/01 00:17:12  dick
 * PlayerGroup had to move to a top level domain object so that the hibernate mapping would work.
 * It doesn't like mapping to subclasses.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.domain;

/** Associate Players with groups
 * @author Dick Balaska
 * @since 2010/12/31
 * @version $Revision: 1.2 $ <br> $Date: 2011/01/01 02:30:36 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/main/java/com/buckosoft/fibs/domain/PlayerGroup.java">cvs PlayerGroup.java</a>
 */
public class PlayerGroup {
	private int id;
	private int groupId;
	private	int playerId;
	private	boolean	dirty = true;
	private	boolean	tagForDelete = false;
	
	/** Construct an empty PlayerGroup
	 */
	public PlayerGroup() {}
	
	/** Convienence constructor that initializes the fields.
	 * @param groupId The groupId of this new PlayerGroup.
	 * @param playerId The playerId of this new PlayerGroup.
	 */
	public PlayerGroup(int groupId, int playerId) {
		this.groupId = groupId;
		this.playerId = playerId;
	}

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return the groupId
	 */
	public int getGroupId() {
		return groupId;
	}
	/**
	 * @param groupId the groupId to set
	 */
	public void setGroupId(int groupId) {
		this.groupId = groupId;
	}
	/**
	 * @return the playerId
	 */
	public int getPlayerId() {
		return playerId;
	}
	/**
	 * @param playerId the playerId to set
	 */
	public void setPlayerId(int playerId) {
		this.playerId = playerId;
	}

	/** Does this PlayerGroup need saving?
	 * @return the dirty
	 */
	public boolean isDirty() {
		return dirty;
	}

	/** 
	 * @param dirty the dirty to set
	 */
	public void setDirty(boolean dirty) {
		this.dirty = dirty;
	}

	/**
	 * @return the tagForDelete
	 */
	public boolean isTagForDelete() {
		return tagForDelete;
	}

	/**
	 * @param tagForDelete the tagForDelete to set
	 */
	public void setTagForDelete(boolean tagForDelete) {
		this.tagForDelete = tagForDelete;
	}

	
}

